xmltooling::CloneInputStream Class Reference
Inheritance diagram for xmltooling::CloneInputStream:
[legend]
Collaboration diagram for xmltooling::CloneInputStream:
[legend]

## Public Member Functions

| CloneInputStream (xercesc::BinInputStream *stream, const std::string &backingFile)
| Constructor.
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
virtual XMLFilePos | curPos () const
virtual const XMLCh * | getContentType () const

## Constructor & Destructor Documentation

## CloneInputStream()

xmltooling::CloneInputStream::CloneInputStream | ( | xercesc::BinInputStream * | stream,
|  | const std::string & | backingFile )

Constructor.

Parameters

  stream | a stream that we will read from
  backingFile | the name of a file to write every byte we read, as we read it. we take ownership of this, arranging to delete it in our destructor.

The documentation for this class was generated from the following file:

- xmltooling/util/CloneInputStream.h